Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I tried the following instructions as given on D-Link's website to install the necessary drivers:

Supported OS and kernel version : LINUX (kernel 2.6.18 ~ 2.6.37)

tar zxvf rtl8192CU_linux_v2.0.1406.20110309.tar.gz
cd rtl8192CU_linux_v2.0.1406.20110309
make
su
make install
reboot

But I get errors when I run make. How to deal the error?

share|improve this question
    
Please post the error you encountered. –  Flimm Jan 5 '13 at 17:27

3 Answers 3

up vote 0 down vote accepted

It appears your device is supported in newer releases of the Linux kernel. Ubuntu provides a package with 'backports' of this. This is fairly the same as the answer of chili555, but without downloading from a 3rd party website (potentially untrusted and unsafe) and without the need to compile.

Just do:

sudo apt-get install linux-backports-modules-cw-3.6-precise-generic

and reboot.

You would have come to this step also when following my guide:

share|improve this answer
    
its not working at all and answer from chilli555 worked till restard ;P.....neither this adapter is working neither my build in atheros card....what should I do?? –  dg91 Jan 6 '13 at 20:41
    
@dg91 If the answer from chili555 worked until restart, append a line with just rtl8192cu in /etc/modules. In one command: echo rtl8192cu | sudo tee -a /etc/modules. –  gertvdijk Jan 6 '13 at 20:43
    
thx ...you seem to know to work in linux ;) so I must ask: any idea why I cant enable my built in atheros ar9285 wireless card ? :) –  dg91 Jan 6 '13 at 21:09
    
@dg91 That's another question I guess? –  gertvdijk Jan 6 '13 at 21:12
    
@dg91 you said about the main part about my answer: "its not working at all". In the workaround we've used chili555's answer - consider accepting his answer instead and link to my comment. (click on the time next to the comment to get a link) The specific backport package is Ubuntu-only, possible existing in derivatives like Mint. can't tell. –  gertvdijk Jan 6 '13 at 22:31

The problem is you don't have a compiler for C (the Programming Language) installed.

First of all run the following command in your terminal to install build-essential.

sudo apt-get install build-essential

Then run all the commands as given in instructions.

share|improve this answer

I assume you are not using the built-in rtl8192cu because it doesn't actually connect.

The package you downloaded, written for 2.6.xx kernels, is probably never going to compile correctly in 12.04, using a 3.2.0-x kernel. Also, an error at 'make' suggests you haven't installed the necessary build tools. With a temporary ethernet connection, open a terminal and do:

sudo apt-get install linux-headers-generic build-essential
wget http://www.orbit-lab.org/kernel/compat-wireless-3-stable/v3.6/compat-wireless-3.6.6-1.tar.bz2
tar -jxf compat-wireless-3.6.6-1.tar.bz2
cd compat-wireless-3.6.6-1/
./scripts/driver-select rtlwifi
make
sudo make install
sudo modprobe rtl8192cu
share|improve this answer
    
man you are a genius!!..worked like charm thanks a lot!! Do you maybe know how to enable my default build in Atheros AR9285 PCI Express network adapter...I never managed to enable it and that is the reason why I buyed this external adapter...if you dont know nvm. thx a lot again! ;) –  dg91 Jan 5 '13 at 17:36
    
-1 compat-wireless is provided as a package. avoid building from source, please. See my answer –  gertvdijk Jan 5 '13 at 22:50
    
it was all working good and then after shutdown I doesnt work anymore...when I do "sudo modprobe rtl8192cu" it enables wireless but I cant connect ??? –  dg91 Jan 6 '13 at 20:03
    
Please try recompiling again: cd compat-wireless-3.6.6-1/; make clean; make; sudo make install; sudo modprobe -r rtl8192cu && sudo modprobe rtl8192cu. Does it connect now? –  chili555 Jan 6 '13 at 21:54
    
this guy belove allready solved it ...thx :) –  dg91 Jan 6 '13 at 22:27

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.